Subject: Re: git-svn -- out of memory

From: Junio C Hamano <[email-masked]>
Date: Mon, 16 Feb 2009 02:05:54 -0800

"Alfred M\. Szmidt" <[email-masked]> writes:

>    > when doing a `git svn clone' on a subversion repository that contains
>    > a large file (>1GiB), `git svn' dies with the following:
>    > 
>    > ams@trillian:~$ git svn clone REPO -T trunk -b branches -t tags
>    > [...]
>    > fatal: Out of memory? mmap failed: Cannot allocate memory
>    > hash-object -w --stdin-paths: command returned error: 128

Ding...

>    > git version 1.6.1.3
>
>    Core git requires objects to be able to fit into (virtual) memory.
>    Adding more swap space should solve the problem for you, but this is not
>    only a git-svn problem.
>
> In this case, the machine has 32G RAM, including ~20G swap.  So I do
> not think that this is the case, it could be I suppose...

The hash-object error message sounds like the issue that was fixed with
915308b (avoid 31-bit truncation in write_loose_object, 2009-01-29).  Does
v1.6.2-rc1 help?